<?php 
global $product, $post;
$_product = $product; 
$link = get_permalink($post->ID);
$args  = array('postid' => $post->ID, 'width' => 340,'hide_href' => true, 'exclude_video' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '660auto');
$video = get_obox_media($args);
$image_option = get_option( "ocmx_product_image" ); ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
	<?php do_action( 'woocommerce_before_single_product', $post, $_product ); ?>
	
	<?php $terms = get_the_terms($post->ID, 'product_cat'); ?>
	<!--Show Breadcrumbs -->
	<ul id="crumbs">
		<li><a href="<?php bloginfo('url'); ?>"><?php _e('Home','ocmx')?></a></li>
		<?php if( !empty( $terms ) ) : ?>
			<li> / </li>
			<li>
				<?php if( is_array( $terms ) )
				$first_term = array_shift( $terms ); ?>
				<a href="<?php echo get_term_link($first_term->slug, "product_cat"); ?>"><?php echo $first_term->name; ?></a>
			</li>
		<?php endif; ?>
		<li> / </li>
		<li><span class="current"><?php the_title(); ?></span></li>
	</ul>
	
	
	<ul class="product-header clearfix">
	
		<li class="gallery-slider <?php if($image_option == "gallery") : ?>gallery-option <?php else: ?>slider-option<?php endif; ?> clearfix">

			<?php if(isset($image_option) && $image_option == "slider") : ?>
				<ul class="gallery-container gallery-image clearfix">
					<?php $attach_args = array("post_type" => "attachment", "post_parent" => $post->ID, "numberposts" => "-1", "orderby" => "menu_order", "order" => "ASC");
					$attachments = get_posts($attach_args);
					if ( !empty($attachments) ) :
	 
						foreach($attachments as $attachement => $this_attachment) :  
							$image = wp_get_attachment_image_src($this_attachment->ID, "660auto");
							$full = wp_get_attachment_image_src($this_attachment->ID,  "full"); ?>
							<li>
								<img src="<?php echo $image[0]; ?>" alt="<?php echo $this_attachment->post_title; ?>" />
							</li>
						<?php endforeach;
	 
					else : ?>
						<li>
							<?php echo $video; ?>
						</li>
					<?php endif; ?>
				</ul>
			
				<?php 
				$counter = count($attachments);
				if( !empty($attachments) && $counter !='1' ) : ?>
	 
					<div class="controls"> 
						<a href="#" class="next"></a> 
						<a href="#" class="previous"></a>
					</div>
				<?php  endif;  ?>

			<?php else : ?>

				<?php do_action( 'woocommerce_before_single_product_summary', $post, $_product ); ?>

			<?php endif; ?>

		</li><!--End Slider container -->
		
		<li class="product-content">
			<?php do_action('woocommerce_single_product_summary'); ?> 
			<?php if( get_option("ocmx_meta_social") != "false" ) : ?>
				<ul class="social">
					<li class="addthis">
						<!-- AddThis Button BEGIN -->
						<div class="addthis_toolbox addthis_default_style ">
							<a class="addthis_button_facebook_like"></a>
							<a class="addthis_button_tweet"></a>
							<a class="addthis_counter addthis_pill_style"></a>
						</div>
						<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=xa-507462e4620a0fff"></script>
						<!-- AddThis Button END -->
					</li>
				</ul>
			<?php endif; ?>
		</li>
		
	</ul>
	
	<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>	
		<div class="woocommerce_tabs clearfix">
			<?php do_action( 'woocommerce_after_single_product_summary', $post, isset($_product) ); ?>
		</div>
	</div>
	
	 <!-- Show Upsells or other After Product Stuff -->  


</div>