// Sliding function
function slideFrame(thumbid, direction, type, match_height)
	{
		/* Set the new position & frame number */

		move_by = jQuery(thumbid).parent().width();
		jQuery(thumbid).children("li").animate({width: move_by+"px"});

		frame_left = jQuery(thumbid).css(type).replace("px", "");

		frame_no = (-(frame_left/move_by));
		maxsize = (jQuery(thumbid).children("li").size()-1);
		jQuery(".dot-selected").removeClass("dot-selected");

		if(direction == 0)
			{
				new_frame_no =  Math.round((frame_no/1)+1);
				if(maxsize <= frame_no)
					new_frame_no = 0;
				new_left = -(new_frame_no*move_by)+"px";

			}
		else
			{
				new_frame_no = Math.round((frame_no/1)-1);

				if(frame_no == 0)
					new_frame_no = maxsize;

				new_left = -(new_frame_no*move_by)+"px";
			}

		setHeight(".slider", new_frame_no);

		if(type == "left")
			{jQuery(thumbid).animate({"left": new_left}, {duration: 200});}
		else
			{jQuery(thumbid).animate({"top": new_left}, {duration: 300});}
	}
// Height Matcher
function setHeight(thumbid, new_frame_no){
	if(jQuery(thumbid).html() !== null) {
		framehtml = jQuery(thumbid).children("ul").children("li").eq(new_frame_no).html();

		if(framehtml.toString().indexOf("iframe") > -1)
			{usechild = "iframe";}
		else if(framehtml.toString().indexOf("object") > -1)
			{usechild = "object";}
		else
			{usechild = "img";}

		useheight = jQuery(thumbid).children("ul").children("li").eq(new_frame_no).height();
		if(useheight < 50){useheight = 300};
		jQuery(thumbid).animate({height: useheight}, {duration: 250})
	}
}
// Auto-slider clearer
function clear_auto_slide(){
	jQuery("div[id^='slider-auto']").each(function(){
		if(!isNaN(jQuery(this).text()) && jQuery(this).text() !== "0" && jQuery(this).text() !== "")
			{clearInterval(SliderInterval);}
	});
}

jQuery(document).ready(function()
	{
		post_page = ThemeAjax.ajaxurl;

		// Responsive menu
		jQuery("#menu-drop-button").bind("click", function(){
			jQuery("#nav").slideToggle();
			jQuery(".sub-menu").css({'visibility': 'visible'});
			jQuery(".sub-menu").css({'display': 'block'});
			return false;
		});

		// Set the document up for auto-scrolling
		if(jQuery.browser.msie || jQuery.browser.mozilla)
			{Screen = jQuery("html");}
		else
			{Screen = jQuery("body");}


		// Do any fitvidding that needs to be done
		jQuery(".fitvid").fitVids();

		// Feature slider dots
		jQuery(".feature .slider-dots a").click(function(){
			i = jQuery(this).parent().index();
			jQuery(".right-column .container ul").animate({top: -(i*344)});
			jQuery(".right-column .active").removeClass("active");
			jQuery(this).parent().addClass("active");
			clear_auto_slide();
			return false;
		});

		// Feature Auto-slide
		jQuery("div[id^='slider-auto']").each(function(){

			if(!isNaN(jQuery(this).text()) && jQuery(this).text() !== "0" && jQuery(this).text() !== "")
				{
					SliderInterval = setInterval(function(){
						i = jQuery(".left-column [id^='feature-copy-'].active").index();
						max = jQuery(".left-column [id^='feature-copy-']").size();

						j = Math.ceil(i/2);
						i++;
						if(i >= max){
							i = 0;
							j = Math.ceil(i/2);
						}
						jQuery(".left-column .active").children("div").children(".overlay").fadeOut();
						jQuery(".left-column .active").slideUp().removeClass("active");
						jQuery(".left-column [id^='feature-copy-']").eq(i).slideDown().addClass("active");
						jQuery(".left-column [id^='feature-copy-']").eq(i).children("div").children(".overlay").fadeIn();
						jQuery(".right-column .container ul").animate({top: -(j*344)});
						jQuery(".right-column .active").removeClass("active");
						jQuery(".slider-dots li").eq(j).addClass("active");
					}, (jQuery(this).text()*1000));
				}
		});

		// Feature Slider right-hand column pagination
		jQuery(".feature .right-column a.previous, .right-column a.next").bind("click", function(){
			a = jQuery(this);
			i = jQuery(".right-column .active").index();
			max = jQuery(".slider-dots a").size();
			if(a.hasClass("next")){
				i++;
				if(i >= max){
					i = 0;
				}
			} else {
				i--;
				if(i < 0){
					i = (max-1);
				}
			}

			jQuery(".right-column .container ul").animate({top: -(i*344)});
			jQuery(".right-column .active").removeClass("active");
			jQuery(".slider-dots li").eq(i).addClass("active");

			clear_auto_slide();
			return false;
		});

		// Feature Slider thumbnail click action
		jQuery(".feature .right-column ul li[id^='feature-li-']").bind("click", function(){
			a = jQuery(this);
			i = a.index();
			jQuery(".left-column .active").children("div").children(".overlay").fadeOut();
			jQuery(".left-column .active").slideUp().removeClass("active");
			jQuery(".left-column [id^='feature-copy-']").eq(i).slideDown().addClass("active");
			jQuery(".left-column [id^='feature-copy-']").eq(i).children("div").children(".overlay").fadeIn();
			clear_auto_slide();
			return false;
		});

		// Feature slider next/previous
		jQuery(".feature .left-column a.previous,.feature .left-column a.next").bind("click", function(){
			a = jQuery(this);
			i = jQuery(".left-column [id^='feature-copy-'].active").index();
			max = jQuery(".left-column [id^='feature-copy-']").size();
			if(a.hasClass("next")){
				j = Math.ceil(i/2);
				i++;
				if(i >= max){
					i = 0;
					j = Math.ceil(i/2);
				}
			} else {
				i--;
				if(i < 0){
					i = (max-1);
				}
				j = Math.floor(i/2);
			}
			jQuery(".left-column .active").children("div").children(".overlay").fadeOut();
			jQuery(".left-column .active").slideUp().removeClass("active");
			jQuery(".left-column [id^='feature-copy-']").eq(i).slideDown().addClass("active");
			jQuery(".left-column [id^='feature-copy-']").eq(i).children("div").children(".overlay").fadeIn();
			jQuery(".right-column .container ul").animate({top: -(j*344)});
			jQuery(".right-column .active").removeClass("active");
			jQuery(".slider-dots li").eq(j).addClass("active");
			clear_auto_slide();
			return false;
		});

		// Product Slider next/previous
		jQuery(".product-header .slider .controls a.next, .product-header .slider .controls a.previous").bind("click", function(){
			if(jQuery(this).hasClass("next")){
				slideFrame(".gallery-container", 0, "left");
			} else {
				slideFrame(".gallery-container", 1, "left");
			}

			return false;
		});

		jQuery.video_frame = 1;
		jQuery(".latest-videos .pagination .next").click(function(){
			i = ((jQuery.video_frame/1)+1);
			vidmax = jQuery("[id^='video_widget_']").size();

			if(vidmax < i)
				i = 1;

			new_videoid = "#video_widget_"+i;
			old_videoid = "#video_widget_"+jQuery.video_frame;

			jQuery("[rel='"+old_videoid+"']").fadeOut({duration: 400});
			setTimeout(function(){jQuery("[rel='"+new_videoid+"']").fadeIn()}, 500);

			newleft = (i*(-240)+240)+"px";


			jQuery(".latest-videos .content").animate({"left": newleft},{duration: 500});

			jQuery.video_frame = i;
			return false;
		});
		jQuery(".latest-videos .pagination .previous").click(function(){
			i = ((jQuery.video_frame/1)-1);

			if(i < 1)
				i = 1;

			new_videoid = "#video_widget_"+i;
			old_videoid = "#video_widget_"+jQuery.video_frame;

			jQuery("[rel='"+old_videoid+"']").fadeOut({duration: 400});
			setTimeout(function(){jQuery("[rel='"+new_videoid+"']").fadeIn()}, 500);

			newleft = (i*(-240)+240)+"px";

			jQuery(".latest-videos .content").animate({"left": newleft},{duration: 500});

			jQuery.video_frame = i;
			return false;
		});
		jQuery(".header-cart .cart").bind("click", function(){
			if(jQuery(this).hasClass("active")) {
				jQuery(".shopping-cart").slideUp();
				jQuery(this).removeClass("active");
			}
			else {
				jQuery(".shopping-cart").slideDown();
				jQuery(this).addClass("active");
			}
			return false;
		});

		jQuery(".add_to_cart_button").bind("click", function(){
			if(jQuery(this).hasClass("product_type_variable")) {
				return true;
			} else {
				setTimeout(function(){
					// Perform the "Magic" which is just a bit of Ajax
					jQuery.get(post_page,
						{action : 'ocmx_cart_display'},
						function(data) {
							jQuery(".header-cart").replaceWith(data)
							jQuery(".header-cart .cart").addClass("active");
							jQuery(".shopping-cart").slideDown({duration: 750});
							Screen.animate({scrollTop: 0});
						});
					setTimeout(function(){
						jQuery(".header-cart .cart").removeClass("active");
						jQuery(".shopping-cart").slideUp();
					}, 2500);
				}, 500);
			}
		});


		/*********************/
		/* Ink Drop Comments */
		if(window.location.hash){
			commentScroll = jQuery(window.location.hash).offset().top;
			Screen.animate({scrollTop: commentScroll});
		}

		jQuery("#comment-form").submit(function(){return false;});
		jQuery("#comment_jump").click(function(){
			setTimeout(function(){jQuery("html").animate({scrollTop: jQuery("#comment_anchor").offset().top}, 1000);}, 500);
			return false;
		});
		jQuery("#comment_submit").bind("click", function(){
			// Compile all the request details
			author = jQuery("#author").attr("value");
			email = jQuery("#email").attr("value");
			url = jQuery("#url").attr("value");
			comment = jQuery("#comment").attr("value");
			twitter = jQuery("#twitter").attr("value");
			email_subscribe = jQuery("#email_subscribe").attr("checked");
			post_id = jQuery("#comment_post_id").attr("value");
			comment_parent_id = jQuery("#comment_parent_id").attr("value");

			// Set which area the new comment will end up in
			if(comment_parent_id !== "0" && comment_parent_id !== "")
				{new_comments_id = "#new-reply-"+comment_parent_id;}
			else
				{new_comments_id = "#new_comments";}

			// Fade out the new comment div so that we can fade it in after posting our new comment
			jQuery("#commment-post-alert").fadeIn("slow");

			// Perform the "Magic" which is just a bit of Ajax
			jQuery.post(post_page,
				{action : 'ocmx_comment-post', author: author, email: email, url: url, twitter: twitter, email_subscribe: email_subscribe, comment: comment, comment_post_id: post_id, comment_parent: comment_parent_id},
				function(data) {
					if(jQuery.browser.msie)
						{location.reload();}
					else
						{jQuery(new_comments_id).html(jQuery(new_comments_id).html()+" "+data).fadeIn("slow");}
					jQuery("#commment-post-alert").fadeOut("fast");
					jQuery("#comment").attr("value", "");
			});
			return false;
		});

		jQuery("a[id^='reply-']").bind("click", function(){
			// Create the Comment Id and apply it to the comment form
			comment_id = jQuery(this).attr("id").replace("reply-", "");

			// Set which href we're dealing with
			href_id = "#reply-"+comment_id;

			//Set where exactly the comment form will end up
			new_location_id = "#form-placement-"+comment_id;

			//Create the Id for the new placement of the comment Form and put it there
			if(jQuery(new_location_id).html().toString().indexOf("Post") == -1)
				{
					jQuery("#comment_form_container").remove().appendTo(new_location_id);
					jQuery(new_location_id).fadeIn("slow");
					jQuery("#comment_parent_id").attr("value", comment_id);
					// Change href to Cancel
					jQuery(href_id).html("Cancel Reply");
				}
			else
				{
					jQuery(new_location_id).fadeOut("fast");
					jQuery("#comment_form_container").remove().appendTo("#original_comment_location");
					jQuery("#comment_parent_id").attr("value", "0");
					// Change href back to Reply
					jQuery(href_id).html("Reply");
				}
			setTimeout(function(){jQuery("html").animate({scrollTop: jQuery("#comment_form_container").offset().top}, 1000);}, 500);
			return false;
		});

		/*************************/
		/* Comments Form Clearer */
		var author = "author";
		jQuery("#"+author).focus(function(){
			if(jQuery("#"+author).attr("value") == "Name")
				{jQuery("#"+author).attr("value", "");}
		});

		jQuery("#"+author).blur(function(){
			if(jQuery("#"+author).attr("value") == "")
				{jQuery("#"+author).attr("value", "Name");}
		});

		var email = "email";
		jQuery("#"+email).focus(function(){
			if(jQuery("#"+email).attr("value") == "Email")
				{jQuery("#"+email).attr("value", "");}
		});

		jQuery("#"+email).blur(function(){
			if(jQuery("#"+email).attr("value") == "")
				{jQuery("#"+email).attr("value", "Email");}
		});

		var url = "url";
		jQuery("#"+url).focus(function(){
			if(jQuery("#"+url).attr("value") == "URL")
				{jQuery("#"+url).attr("value", "");}
		});
		jQuery("#"+url).blur(function(){
			if(jQuery("#"+url).attr("value") == "")
				{jQuery("#"+url).attr("value", "URL");}
		});

	});

function slideFrame(container, direction)
	{
		/* Set the new position & frame number */
		move_by = container.parent().width();
		frame_left = container.css('left').replace("px", "");
		frame = Math.round(-(frame_left/move_by));
		maxsize = (container.children("li").size()-1);

		if(direction == 0)
			{
				new_frame = +frame+1;
				if(maxsize <= frame)
					new_frame = 0;
			}
		else
			{
				new_frame = +frame-1;
				if(frame == 0)
					new_frame = maxsize;
			}

		// Do the sliding action
		container.animate({"left": -(new_frame*(move_by))}, {duration: 350});

		// Match the height
		var useheight = $gallerycontainer.children("li").eq(new_frame).children("a").children("img").height();
		$galleryslider.css({height: useheight}, 250);
	}


function resize_slide(element){

	if(element.children("ul").css("left") == undefined){
		return false;
	}

	var container = element.children("ul");
	var width = element.width();
	var left = element.children("ul").css("left").replace("px", "");

	if(isNaN(left))
		var frame = 0;
	else
		var frame = Math.round(width/-(left));

	if(container.children("li").length > 0){
		container.children("li").css({'width': width});
		container.css({'left': -(frame*width)});
	} else {
	 	var frame = 0;
	}

	if($gallerycontainer.children("li").eq(frame) !== undefined)
		return true;

	
}


jQuery(window).resize(function(){
	resize_slide($galleryslider);
	if(jQuery(document).width() > 600){
		jQuery("#nav").show();
	}
});

jQuery(document).ready(function()
	{
		if(jQuery.browser.msie || jQuery.browser.mozilla)
			{Screen = jQuery("html");}
		else
			{Screen = jQuery("body");}

		$galleryslider = jQuery(".gallery-slider");
		$gallerycontainer = $galleryslider.children("ul");
		$gallerycontainer.animate({"left": 0}, {duration: 500});
		resize_slide($galleryslider);

		jQuery(".gallery-slider .next").bind("click", function(){
			slideFrame($gallerycontainer, 0);
			return false;
		});

		jQuery(".gallery-slider .previous").bind("click", function(){
			slideFrame($gallerycontainer, 1);
			return false;
		});
});